<?php
$servername = "localhost"; 
$username = "*"; 
$password = "*"; 
$dbname = "*"; 

$conn = new mysqli($servername, $username, $password, $dbname);

if ($conn->connect_error) {
    die("Verbindung fehlgeschlagen: " . $conn->connect_error);
}

$stats = [];
$queries = [
    "SELECT COUNT(*) AS permanent_banns FROM ban WHERE until IS NULL" => "Permanent gebannte Spieler",
    "SELECT COUNT(*) AS total_banns FROM ban" => "Gebannte Spieler (AllTime)",
    "SELECT COUNT(*) AS chat_log FROM log WHERE importance = '98'" => "Anzahl der Chatnachrichten",
    "SELECT COUNT(*) AS cmd_log FROM log WHERE importance = '99'" => "Anzahl der Commands",
    "SELECT COUNT(*) AS achievements FROM achievements WHERE done = '1'" => "Erreichte Achievements",
    "SELECT COUNT(*) AS block_add FROM baulog WHERE removed = '0'" => "Bereits platzierte Blöcke",
    "SELECT COUNT(*) AS block_remove FROM baulog WHERE removed = '1'" => "Bereits abgebaute Blöcke",
    "SELECT COUNT(*) AS total_players FROM nrp_id" => "Registrierte Spieler", 
    "SELECT COUNT(*) AS players_over_5 FROM level WHERE level > 5" => "Spieler über Level 5",
    "SELECT MAX(level) AS highest_level FROM level" => "Höchstes Level"
];

foreach ($queries as $query => $label) {
    $result = $conn->query($query);
    if ($result) {
        $row = $result->fetch_assoc();
        $stats[$label] = reset($row);
    } else {
        $stats[$label] = "Fehler bei der Abfrage";
    }
}

$conn->close();

header('Content-Type: application/json');
echo json_encode($stats);
